package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.AkmData;

import javax.servlet.http.HttpServletRequest;

/**
 * 安康码扫码地点Service接口
 * 
 * @author ruoyi
 * @date 2022-10-10
 */
public interface IAkmDataService 
{
    /**
     * 查询安康码扫码地点
     * 
     * @param id 安康码扫码地点主键
     * @return 安康码扫码地点
     */
    public AkmData selectAkmDataById(Long id);

    /**
     * 查询安康码扫码地点列表
     * 
     * @param akmData 安康码扫码地点
     * @return 安康码扫码地点集合
     */
    public List<AkmData> selectAkmDataList(AkmData akmData);

    /**
     * 新增安康码扫码地点
     * 
     * @param akmData 安康码扫码地点
     * @return 结果
     */
    public AjaxResult insertAkmData(AkmData akmData);

    /**
     * 修改安康码扫码地点
     * 
     * @param akmData 安康码扫码地点
     * @return 结果
     */
    public int updateAkmData(AkmData akmData);

    /**
     * 批量删除安康码扫码地点
     * 
     * @param ids 需要删除的安康码扫码地点主键集合
     * @return 结果
     */
    public int deleteAkmDataByIds(Long[] ids);

    /**
     * 删除安康码扫码地点信息
     * 
     * @param id 安康码扫码地点主键
     * @return 结果
     */
    public int deleteAkmDataById(Long id);

    AjaxResult getForeignList(HttpServletRequest request,String secretKey, AkmData akmData);
}
